#!/bin/bash

plugin='mailing-whitelist'
cpinstPath='/opt/cpinst/cpinst/plugins/'
pluginPath='/usr/local/cpanel/base/frontend/'
themeA='paper_lantern'
themeB='jupiter'

#if [ ! -d "$pluginPath""$themeA"/"$plugin" ]; then
    # Copy the plugin directory to the target path
#    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeA"
    
    # Install the plugin
#    /usr/local/cpanel/scripts/install_plugin "$pluginPath""$themeA"/"$plugin" --theme "$themeA"
    
    # Generate the sprite map
#    /usr/local/cpanel/bin/sprite_generator --theme "$themeA"
    
    # Create and store an API token
#    whmapi1 api_token_create token_name="$plugin"_"$themeA" | grep -oP 'token: \K.*' > "$pluginPath""$themeA"/"$plugin"/token.conf
#fi

if [ ! -d "$pluginPath""$themeB"/"$plugin" ]; then
    # Copy the plugin directory to the target path
    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeB"
    
    # Install the plugin
    /usr/local/cpanel/scripts/install_plugin "$pluginPath""$themeB"/"$plugin" --theme "$themeB"
    
    # Generate the sprite map
    /usr/local/cpanel/bin/sprite_generator --theme "$themeB"
    
    # Create and store an API token
    whmapi1 api_token_create token_name="$plugin"_"$themeB" whitelist_ip="127.0.0.1" | grep -oP 'token: \K.*' > "$pluginPath""$themeB"/"$plugin"/token.conf
fi

# Register the WHM "post-createAccount" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-createAccount.php --manual --category Whostmgr --event 'Accounts::Create' --stage post
# Register the WHM "post-modifyAccount" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-modifyAccount.php --manual --category Whostmgr --event 'Accounts::Modify' --stage post
# Register the WHM "post-removeAccount" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-removeAccount.php --manual --category Whostmgr --event 'Accounts::Remove' --stage post

# Register the cPanel "post-addEmail" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-addEmail.php --manual --category Cpanel --event 'Api2::Email::addpop' --stage post
# Register the cPanel "post-delEmail" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-delEmail.php --manual --category Cpanel --event 'Api2::Email::delpop' --stage post
# Register the cPanel "post-setLocale" hook
/usr/local/cpanel/bin/manage_hooks add script "$pluginPath""$themeB"/"$plugin"/hooks/post-setLocale.php --manual --category Cpanel --event 'Api2::SetLang::setlocale' --stage post

# Add data to the mailscanner database
"$pluginPath""$themeB"/"$plugin"/install/addDataToMailscanner.php
